Retrieves all the db_info_data objects
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_info_data| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| target_id |
Foreign key of the object using his Wello Guid Primary Key |
globally unique identifier |
Optionally required : target_id or target_code must be provided |
| target_code |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : target_id or target_code must be provided |
| db_table_id |
Foreign key to the table that own the "target_id" (Example:article,company,project) using Guid |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table that own the "target_id" (Example:article,company,project) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "c1a5181b-1a98-4e61-a6f4-065685447936",
"target_id": "95f28917-27fa-49d6-8f4a-bd6ef1d53b2a",
"target_code": "sample string 3",
"db_table_id": "939917d0-bd3b-42aa-9922-17f064058c76",
"db_table_name": "sample string 5",
"db_info_field_id": "e265840e-4627-4044-8d54-ad5e75846183",
"db_info_field_name": "sample string 7",
"value": "sample string 8",
"reference_back_office": "sample string 9",
"sys_logical_delete": true,
"modified_dateutc": "2026-03-24T07:15:15.2560717+00:00"
}